<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Latihan DOM</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script defer src="https://use.fontawesome.com/releases/v5.8.1/js/all.js" integrity="sha384-g5uSoOSBd7KkhAMlnQILrecXvzst9TdC09/VM+pjDTCM+1il8RHz5fKANTFFb+gQ" crossorigin="anonymous"></script>
</head>
<body>
    <div class="container">
        <nav class="navbar navbar-light bg-light">
            <a class="navbar-brand">Mini Ecommerce</a>
            <form class="form-inline" id="formItem" onsubmit="findData(); return false;">
                <input class="form-control mr-sm-2" type="search" placeholder="Search" onkeyup="findData()"  id="keyword" aria-label="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" id="searchItem">Search</button>
            </form>
            <button class="btn btn-primary" id="cart" onclick="cartData()"><i class="fas fa-shopping-cart"></i>(0)</button>
        </nav>
        <div class="row">
            <div class="col-md-12 mt-2 row"  id="listBarang" >
                
            </div>
        </div>
    </div>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script>
        var items = [
            ['001', 'Keyboard Logitek', 60000, 'Keyboard yang mantap untuk kantoran', 'logitek.jpg'], 
            ['002', 'Keyboard MSI', 300000, 'Keyboard gaming MSI mekanik', 'msi.jpg'],
            ['003', 'Mouse Genius', 50000, 'Mouse Genius biar lebih pinter', 'genius.jpeg'],
            ['004', 'Mouse Jerry', 30000, 'Mouse yang disukai kucing', 'jerry.jpg']
        ];
        var cartItem = 0;
        function cartData(){
            cartItem += 1;
            document.getElementById('cart').innerHTML = '<i class="fas fa-shopping-cart"></i>('+cartItem+')';
        }
        function findData(){
            const wordDocument = document.querySelector('#keyword');
            const find = wordDocument.value.toLowerCase();
            var arraydata = [];
            items.forEach(element => {
                const wordFind = element[1].toLowerCase();
                if (wordFind.includes(find)) {
                    arraydata.push(element);
                }
            });
            listingData(arraydata);
        }
        function listingData(datas){
            var htmldata = '';
            datas.forEach((element, index) => {
                htmldata +=
                "<div class='col-md-3'><div class='card'>" +
                    "<img src='"+element[4]+"' class='card-img-top' alt='"+element[1]+"'>"+
                    "<div class='card-body'>"+
                        "<h5 class='card-title' id='itemName'>"+element[1]+"</h5>" +
                        "<p class='card-text' id='itemDesc'>"+element[3]+"</p>" +
                        "<p class='card-text'>Rp "+element[2]+"</p>" +
                        "<a href='#' onclick='cartData()' class='btn btn-primary' id='addCart'>Tambahkan ke keranjang</a>" +
                    "</div>" +
                "</div></div>";
            });
            document.getElementById("listBarang").innerHTML = htmldata;
        }
        listingData(items);
        // function addCart(){
        //     const cart = document.querySelector('cart')
        //     console.log(cart);
        // }

    
    </script>
</body>
</html>